module CInstallMudBucketPermission
    use OperationScenariosModule
    implicit none
    contains
    
    subroutine Evaluate_InstallMudBucketPermission()
        implicit none
        
        
!        if (DriveType == TopDrive_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_InstallMudBucketPermission=TopDrive'
!#endif
!        endif
!        
!        
!        
!        
!        
!        
!        
!        if (DriveType == Kelly_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_InstallMudBucketPermission=Kelly'
!#endif
!        endif
        
        
    end subroutine
    
    subroutine Subscribe_InstallMudBucketPermission()
        implicit none
        ! imp me...
    end subroutine
    
end module CInstallMudBucketPermission